aboutsummaryrefslogtreecommitdiff
path: root/academic/amplifx/amplifx.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/amplifx/amplifx.SlackBuild')
-rw-r--r--academic/amplifx/amplifx.SlackBuild13
1 files changed, 12 insertions, 1 deletions
diff --git a/academic/amplifx/amplifx.SlackBuild b/academic/amplifx/amplifx.SlackBuild
index 5c0887e41296d..72ed55d7e479e 100644
--- a/academic/amplifx/amplifx.SlackBuild
+++ b/academic/amplifx/amplifx.SlackBuild
@@ -31,7 +31,18 @@ BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-ARCH=i386
+# 2023-05-16 DW: do a proper test for ARCH
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [[ $ARCH != i?86 ]]; then
+ printf "\n$ARCH is not supported... \n" >/dev/stderr
+ exit 1
+fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information